Create a vendor
POST
/api/vendors
const url = 'https://api.getvespy.com/api/vendors';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"email":"hello@example.com","isActive":true,"name":"example","phone":"example","trade":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.getvespy.com/api/vendors \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "email": "hello@example.com", "isActive": true, "name": "example", "phone": "example", "trade": "example" }'Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
email
string format: email
isActive
boolean
name
required
string
phone
string
trade
string
Examplegenerated
{ "email": "hello@example.com", "isActive": true, "name": "example", "phone": "example", "trade": "example"}Responses
Section titled “Responses”Default Response
Media typeapplication/json
object
vendor
required
object
createdAt
required
string format: date-time
deletedAt
required
string format: date-time
email
required
string format: email
id
required
string format: uuid
isActive
required
boolean
name
required
string
notes
required
string
organizationId
required
string format: uuid
phone
required
string
trade
required
string
updatedAt
required
string format: date-time
userId
required
string format: uuid
Examplegenerated
{ "vendor": { "createdAt": "2026-04-15T12:00:00Z", "deletedAt": "2026-04-15T12:00:00Z", "email": "hello@example.com", "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "isActive": true, "name": "example", "notes": "example", "organizationId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "phone": "example", "trade": "example", "updatedAt": "2026-04-15T12:00:00Z", "userId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" }}Default Response
Media typeapplication/json
object
code
string
errors
Array<object>
object
code
required
string
message
required
string
path
required
string
message
required
string
Examplegenerated
{ "code": "example", "errors": [ { "code": "example", "message": "example", "path": "example" } ], "message": "example"}Default Response
Media typeapplication/json
object
code
string
errors
Array<object>
object
code
required
string
message
required
string
path
required
string
message
required
string
Examplegenerated
{ "code": "example", "errors": [ { "code": "example", "message": "example", "path": "example" } ], "message": "example"}Default Response
Media typeapplication/json
object
code
string
errors
Array<object>
object
code
required
string
message
required
string
path
required
string
message
required
string
Examplegenerated
{ "code": "example", "errors": [ { "code": "example", "message": "example", "path": "example" } ], "message": "example"}